Loading...
Searching...
No Matches
gtsam::PCGSolver Class Reference

## Detailed Description

A virtual base class for the preconditioned conjugate gradient solver.

Inheritance diagram for gtsam::PCGSolver:

## Public Member Functions

| PCGSolver (const PCGSolverParameters &p)
VectorValues | optimize (const GaussianFactorGraph &gfg, const KeyInfo &keyInfo, const std::map< Key, Vector > &lambda, const VectorValues &initial) override
GTSAM_EXPORT VectorValues | optimize (const GaussianFactorGraph &gfg, boost::optional< const KeyInfo & >=boost::none, boost::optional< const std::map< Key, Vector > & > lambda=boost::none)
GTSAM_EXPORT VectorValues | optimize (const GaussianFactorGraph &gfg, const KeyInfo &keyInfo, const std::map< Key, Vector > &lambda)
Public Member Functions inherited from gtsam::IterativeSolver
GTSAM_EXPORT VectorValues | optimize (const GaussianFactorGraph &gfg, boost::optional< const KeyInfo & >=boost::none, boost::optional< const std::map< Key, Vector > & > lambda=boost::none)
GTSAM_EXPORT VectorValues | optimize (const GaussianFactorGraph &gfg, const KeyInfo &keyInfo, const std::map< Key, Vector > &lambda)

## Public Types

typedef IterativeSolver | Base
typedef boost::shared_ptr< PCGSolver > | shared_ptr
Public Types inherited from gtsam::IterativeSolver
typedef boost::shared_ptr< IterativeSolver > | shared_ptr

## Protected Attributes

PCGSolverParameters | parameters_
boost::shared_ptr< Preconditioner > | preconditioner_

## Member Function Documentation

## optimize()

VectorValues gtsam::PCGSolver::optimize | ( | const GaussianFactorGraph & | gfg,
|  | const KeyInfo & | keyInfo,
|  | const std::map< Key, Vector > & | lambda,
|  | const VectorValues & | initial )

override virtual

Implements gtsam::IterativeSolver.

The documentation for this class was generated from the following files:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/linear/PCGSolver.h
- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/linear/PCGSolver.cpp